-- Create new categories table
CREATE TABLE IF NOT EXISTS pincodeTable (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    pincode_value TEXT
);



-- Backup table
ALTER TABLE notes
RENAME TO notes_tmp;

-- Create new table for color column (from TEXT to INTEGER)
CREATE TABLE note (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    title TEXT,
    content TEXT,
    created_date TEXT DEFAULT CURRENT_TIMESTAMP,
    color INTEGER DEFAULT -1,
    font_size INTEGER,
    last_modified_date TEXT,
    is_favourite INTEGER DEFAULT 0,
    is_locked INTEGER DEFAULT 0,
    is_checklist INTEGER DEFAULT 0,
    alarm INTEGER DEFAULT 0,
    is_reminder_fired INTEGER DEFAULT 0,
    recurrence_rule INTEGER DEFAULT 0,
    is_trash INTEGER DEFAULT 0,
    is_archive INTEGER DEFAULT 0,
    category_id INTEGER DEFAULT 0
);

-- Moving notes data
INSERT INTO note (_id, title, content, created_date, color, font_size, last_modified_date, is_favourite, is_locked, is_checklist, alarm, is_reminder_fired, recurrence_rule, is_trash, is_archive, category_id)
SELECT _id, title, body, creation, color, fontSize, last_modification, is_favourite, is_locked, is_checklist, alarm, is_reminder_fired, recurrence_rule, is_trash, is_archive, category_id
FROM notes_tmp;

-- Dropping old table
DROP TABLE notes_tmp;


