-- Backup table
ALTER TABLE notes
RENAME TO notes_tmp;

-- Create new table for color column (from TEXT to INTEGER)
CREATE TABLE notes (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    title TEXT,
    body TEXT,
    creation TEXT DEFAULT CURRENT_TIMESTAMP,
    color INTEGER DEFAULT -1,
    fontSize INTEGER,
    last_modification TEXT,
    is_favourite INTEGER,
    is_locked INTEGER
);

-- Moving notes data
INSERT INTO notes (_id, title, body, creation, fontSize, last_modification, is_favourite, is_locked)
SELECT _id, noteTitle, noteText, noteCreated, noteFontSize, noteModified, noteIsFavourite, noteIsLocked
FROM notes_tmp;

-- Dropping old table
DROP TABLE notes_tmp;
