-- Backup table
ALTER TABLE notes
RENAME TO notes_tmp;

-- Create new table for color column (from TEXT to INTEGER)
CREATE TABLE notes (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    title TEXT,
    body TEXT,
    creation TEXT DEFAULT CURRENT_TIMESTAMP,
    color INTEGER DEFAULT -1,
    fontSize INTEGER,
    last_modification TEXT,
    is_favourite INTEGER DEFAULT 0,
    is_locked INTEGER DEFAULT 0,
    is_checklist INTEGER DEFAULT 0,
    alarm INTEGER DEFAULT 0,
    is_reminder_fired INTEGER DEFAULT 0,
    recurrence_rule INTEGER DEFAULT 0,
    is_trash INTEGER DEFAULT 0,
    is_archive INTEGER DEFAULT 0
);

-- Moving notes data
INSERT INTO notes (_id, title, body, creation, color, fontSize, last_modification, is_favourite, is_locked, is_checklist, alarm, is_reminder_fired, recurrence_rule, is_trash)
SELECT _id, title, body, creation, color, fontSize, last_modification, is_favourite, is_locked, is_checklist, alarm, is_reminder_fired, recurrence_rule, is_trash
FROM notes_tmp;

-- Dropping old table
DROP TABLE notes_tmp;
